Page MenuHomePhabricator

Some images don't load
Closed, ResolvedPublicBUG REPORT

Description

Problem

Some images have a relative path and are coming from extensions. Their src starts with /w/extensions/. This path is resolved with the base path of the app (localhost:8080 or similar in dev and app://kaios.wikipedia.org in prod) and are not found.

Solution

Make those path absolute for the wiki we're reading from. Just like we do for other images that have a protocol-relative path.

Steps to reproduce

  1. Go to en/C
  2. Go to Quick Facts
  3. Scroll down until you see the image of a camel, the image just below is missing

Event Timeline

Jpita created this task.Mar 19 2020, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2020, 11:47 AM
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Mar 19 2020, 11:53 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.

Which part of which article is this coming from? I can't read from the screenshot.

Jpita updated the task description. (Show Details)Mar 19 2020, 12:53 PM
Jpita updated the task description. (Show Details)

Which part of which article is this coming from? I can't read from the screenshot.

added more info on the description

article C, and here's the quickfact

there is the broken image below the camel.

hueitan removed hueitan as the assignee of this task.Mar 19 2020, 9:11 PM
hueitan added a subscriber: hueitan.
AMuigai moved this task from Kanban to Backlog on the Inuka-Team board.Mar 26 2020, 2:09 PM
AMuigai edited projects, added Inuka-Team; removed Inuka-Team (Kanban).
AMuigai moved this task from Backlog to Bugs on the Inuka-Team board.Apr 15 2020, 9:33 AM
SBisson renamed this task from 404s on images to 404s on images when running browser tests.May 11 2020, 6:43 PM
SBisson renamed this task from 404s on images when running browser tests to Some images don't load.May 11 2020, 6:59 PM
SBisson claimed this task.
SBisson updated the task description. (Show Details)
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.
hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 12 2020, 12:51 PM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.May 13 2020, 8:55 AM
AMuigai triaged this task as Medium priority.May 14 2020, 1:41 PM

Image is looking fine on all 3(Jio, Banana) devices, moving it for product signoff.

AMuigai closed this task as Resolved.May 18 2020, 1:14 PM